<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="{$charset}" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>{if $kbarticle.title}{$kbarticle.title} - {/if}{$pagetitle} - {$companyname}</title>

  {include file="$template/includes/head.tpl"}

  {$headoutput}

</head>

<body
  class="wdes-page-{$pagetitle} {if $templatefile == 'login'}wdes-page-login{/if} {if $templatefile == 'clientregister'}wdes-page-register{/if} {if $templatefile == 'password-reset-container'}wdes-page-pwreset{/if}"
  data-phone-cc-input="{$phoneNumberInputStyle}">

  {$headeroutput}

  {if $templatefile != "login" && $templatefile != "clientregister" && $templatefile != "password-reset-container"}
    <section id="header">
      <div class="container">
        <div class="wdes-header">

          {* Logo *}
          <a href="{$WEB_ROOT}/index.php" class="logo">
            {if !empty($phoxTemplateOptions.darklogo)}
              <img src="{$phoxTemplateOptions.darklogo}" alt="{$companyname}" />
            {else}
              <img src="{$WEB_ROOT}/templates/{$template}/img/logo.png" />
            {/if}
          </a>

          {* Menu *}
          <section id="main-menu">
            <nav id="nav" class="navbar navbar-default navbar-main" role="navigation">
              <!-- Brand and toggle get grouped for better mobile display -->
              <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#primary-nav">
                  <span class="sr-only">{lang key='toggleNav'}</span>
                  <span class="icon-bar"></span>
                  <span class="icon-bar"></span>
                  <span class="icon-bar"></span>
                </button>
              </div>

              <!-- Collect the nav links, forms, and other content for toggling -->
              <div class="collapse navbar-collapse" id="primary-nav">
                <ul class="nav navbar-nav">
                  {include file="$template/includes/navbar.tpl" navbar=$primaryNavbar}
                  <span class="hide-desktop">{include file="$template/includes/navbar.tpl" navbar=$secondaryNavbar}</span>
                </ul>
              </div><!-- /.navbar-collapse -->
            </nav>
          </section>

          {* Shortcuts *}
          <ul class="top-nav">
            {if $languagechangeenabled && count($locales) > 1}
              <li>
                <a href="#" class="choose-language" data-toggle="popover" id="languageChooser">
                  <i class="fal fa-language"></i>
                </a>
                <div id="languageChooserContent" class="hidden">
                  <ul>
                    {foreach $locales as $locale}
                      <li>
                        <a href="{$currentpagelinkback}language={$locale.language}">{$locale.localisedName}</a>
                      </li>
                    {/foreach}
                  </ul>
                </div>
              </li>
            {/if}
            {if $loggedin}
              <li>
                <a class="wdes-notifications" href="#" data-toggle="popover" id="accountNotifications"
                  data-placement="bottom">
                  <i class="fal fa-bell"></i>
                  {if count($clientAlerts) > 0}
                    <span class="wdes-new-notification"></span>
                  {/if}
                </a>
                <div id="accountNotificationsContent" class="hidden">
                  <ul class="client-alerts">
                    {foreach $clientAlerts as $alert}
                      <li>
                        <a href="{$alert->getLink()}">
                          <i
                            class="fas fa-fw fa-{if $alert->getSeverity() == 'danger'}exclamation-circle{elseif $alert->getSeverity() == 'warning'}exclamation-triangle{elseif $alert->getSeverity() == 'info'}info-circle{else}check-circle{/if}"></i>
                          <div class="message">{$alert->getMessage()}</div>
                        </a>
                      </li>
                    {foreachelse}
                      <li class="none">
                        {$LANG.notificationsnone}
                      </li>
                    {/foreach}
                  </ul>
                </div>
              </li>
              <li>
                <a href="{$WEB_ROOT}/logout.php">
                  <i class="fal fa-sign-out"></i>
                </a>
              </li>
            {else}
              <li>
                <a href="{$WEB_ROOT}/clientarea.php"><i class="fal fa-sign-in"></i></a>
              </li>
              {if $condlinks.allowClientRegistration}
                <li>
                  <a href="{$WEB_ROOT}/register.php"><i class="fal fa-user"></i></a>
                </li>
              {/if}
              <li>
                <a href="{$WEB_ROOT}/cart.php?a=view">
                  <i class="fal fa-shopping-bag"></i>
                </a>
              </li>
            {/if}
            {if $adminMasqueradingAsClient || $adminLoggedIn}
              <li>
                <a href="{$WEB_ROOT}/logout.php?returntoadmin=1" data-toggle="tooltip" data-placement="bottom"
                  title="{if $adminMasqueradingAsClient}{$LANG.adminmasqueradingasclient} {$LANG.logoutandreturntoadminarea}{else}{$LANG.adminloggedin} {$LANG.returntoadminarea}{/if}">
                  <i class="fal fa-user-cog"></i>
                </a>
              </li>
            {/if}
            {if $loggedin}
              <ul class="wdes-account-area hide-mob">
                {include file="$template/includes/navbar.tpl" navbar=$secondaryNavbar}
              </ul>
            {/if}
          </ul>
        </div>
      </div>
    </section>
  {/if}
  {include file="$template/includes/validateuser.tpl"}
  {include file="$template/includes/verifyemail.tpl"}

  <section id="main-body">
    <div class="container{if $skipMainBodyContainer}-fluid without-padding{/if}">
      <div class="row wdes-flex-mob">

        {if !$inShoppingCart && $templatefile != "clientregister" && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}
          {if $primarySidebar->hasChildren() && !$skipMainBodyContainer}
            <div class="col-md-9 pull-md-right">
              {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
            </div>
          {/if}
          <div class="col-md-3 pull-md-left sidebar">
            {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}
            {if $secondarySidebar->hasChildren()}
              <div class="sidebar-secondary">
                {include file="$template/includes/sidebar.tpl" sidebar=$secondarySidebar}
              </div>
            {/if}
          </div>
        {/if}
        <!-- Container for main page display content -->
        <div
          class="{if !$inShoppingCart && $templatefile != "clientregister" && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}col-md-9 pull-md-right{else}col-xs-12{/if} main-content">
          {if !$primarySidebar->hasChildren() && !$showingLoginPage && !$inShoppingCart && $templatefile != 'homepage' && !$skipMainBodyContainer}
            {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
          {/if}